﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace KeyboardInputSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void tbxMain_KeyDown(object sender, KeyEventArgs e)
        {
            string msg = "";
            switch(e.Key)
            {
                case Key.O:
                    msg = "O";
                    break;
                case Key.LeftCtrl:
                    msg = "Ctrl";
                    break;
                case Key.LeftAlt:
                    msg = "Alt";
                    break;
            }

            // composite keys
            if (Keyboard.IsKeyDown(Key.LeftAlt) && Keyboard.IsKeyDown(Key.Enter))
                msg = "Alt + Enter";

            if (!string.IsNullOrEmpty(msg))
                MessageBox.Show(msg);
        }
    }
}
